

function StartGameEffect(aName, aParam)
if( not effects) or (not ShowGameEffect)then return end;
geffect = effects[aName];
if(geffect~=nil)then
    local next_effect = geffect.next_effect;
    if next_effect == nil then next_effect=""; end
    ShowGameEffect( geffect.control , geffect.effect, geffect.params, next_effect );
end
end

function OnLoadLevel()
    EnableWindow ("WinLabel", false);
    EnableWindow ("EndDayImage", false);
    EnableWindow ("ExpertLabel", false);
    RecalcPosHearts();
    OnSwitchGameMode(); 
end

function PreLoadLevel()
    EnableWindow ("WinLabel", false);
    EnableWindow ("EndDayImage", false);
    EnableWindow ("ExpertLabel", false);
end

 

if(not effects)then
    effects={
                ScorePlusFly = {control="", effect="mover", params={ destination={x=566,y=566}, Time=nil, Speed=400, route={{"elliptic", -1, param0=50}}, hiding=true }  },
            };
end

function GetCountPluses(aScore)
    --if (aScore > 300) then return 3; end
    --if (aScore > 10) then return 2; end
    --ScriptDump("GetCountPluses def");
    return 3;
end


function ShowPreviewWnd(aMessage,aImage,aGoal,aExpert)
    gPreviewWndInfo = {};
    gPreviewWndInfo.message=aMessage;
    gPreviewWndInfo.image=aImage;
    gPreviewWndInfo.goal=aGoal;
    gPreviewWndInfo.expert=aExpert;
    DoModal("scripts/preview.lua");
end
